Subject: Re: bug#19711: 25.0.50; (ad-is-adviced sym) is inconsistent with (advice--p (advice--symbol-function sym))

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Aug 2021 15:15:44 +0200

Stefan Monnier <[email-masked]> writes:

>> I'm mainly interested in this application:
>
>>     (help-function-arglist
>>      (if (ad-is-advised fun)
>>          (ad-get-orig-definition fun)
>>        fun)
>>      t)
>
> Ah, I think this is just a bug of help-function-arglist: it should
> automatically peel off any advice and look for the arglist of the
> unadvised function instead.

I think this was basically fixed by:

commit 6e2d6d54e1236216462c13655ea1fe573d9672e7
Author:     Stefan Monnier <[email-masked]>
AuthorDate: Fri Jul 14 11:27:21 2017 -0400

That is, "other advise" (not detected by `ad-is-advised') is now peeled
off by `help-function-arglist' itself, so the code in question should
work as expected, I think.

So I don't think there's anything to fix here (any more).  Is that
correct?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no